/*
   audio/vorbis.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_AUDIO_VORBIS_H__
#define __INCLUDED_AUDIO_VORBIS_H__

#include "audio/pcm.h"

namespace audio
{

/// class to read Xiph ogg vorbis files
class Vorbis
{
public:
	static PCM *load(std::string const & filename);
};

}

#endif // __INCLUDED_AUDIO_VORBIS_H__
