/*
   base/cargopod.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_BASE_CARGOPOD_H__
#define __INCLUDED_BASE_CARGOPOD_H__

#include "core/entity.h"
#include "base/template.h"

namespace game
{

class CargoPod : public core::EntityDynamic
{
public:
	CargoPod();
	virtual ~CargoPod();
	
	virtual void upkeep(const unsigned long timestamp);
	
	static inline void set_template (const Template *entitytemplate) {
		cargopod_template = entitytemplate;
	}

private:
	static const Template *cargopod_template;
};

} // namespace game

#endif // __INCLUDED_BASE_CARGOPOD_H__

